package com.github.itzilly.sbt.features.router

object RouteMaker {
    var markerList: ArrayList<RouteMarker> = ArrayList()
}

data class RouteMarker(
    val x: Int,
    val y: Int,
    val z: Int,

    val r: UByte,
    val g: UByte,
    val b: UByte,

    val options: RouteOptions
)

data class RouteOptions(
    val name: String
)

fun isPointInRouteList(routeList: ArrayList<RouteMarker>, x: Int, y: Int, z: Int): Boolean {
    return routeList.any { it.x == x && it.y == y && it.z == z }
}



